Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.ant
Class Explode

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.jboss.portal.common.ant.Explode

    public class Explode

extends org.apache.tools.ant.Task

Ant task that explode an archive.

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Explode()`

Method Summary
`void` | `execute()`
`static void` | `explode(Explode explode, java.lang.String name, java.util.zip.ZipInputStream zip, java.io.File todir, java.lang.String exclude)` Explode a zip stream into a directory.
`void` | `explode(java.io.File file, java.io.File todir)`
`void` | `setExclude(java.lang.String exclude)`
`void` | `setFile(java.io.File file)`
`void` | `setName(java.lang.String name)`
`void` | `setTodir(java.io.File todir)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Explode

    public Explode()

Method Detail

### setExclude

    public void setExclude(java.lang.String exclude)

### setFile

    public void setFile(java.io.File file)

### setTodir

    public void setTodir(java.io.File todir)

### setName

    public void setName(java.lang.String name)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### explode

    public void explode(java.io.File file,
                        java.io.File todir)
                 throws org.apache.tools.ant.BuildException,
                        DirException

  Throws:
    `org.apache.tools.ant.BuildException`
    `DirException`

### explode

    public static void explode(Explode explode,
                               java.lang.String name,
                               java.util.zip.ZipInputStream zip,
                               java.io.File todir,
                               java.lang.String exclude)
                        throws org.apache.tools.ant.BuildException,
                               DirException

  Explode a zip stream into a directory.

  Parameters:
    `explode` - used to log
    `name` - the name of the created directory
    `zip` - the zip stream will not be closed
    `todir` - the parent directory
  Throws:
    `org.apache.tools.ant.BuildException`
    `DirException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.